> For the complete documentation index, see [llms.txt](https://docs.hackle.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hackle.io/external-link/slack-integration/slack_noti_message.md).

# Slack 메세지 종류 안내

slack 연동 시, 직접 대시보드에 들어오지 않아도 주요 변경사항을 안내받을 수 있습니다.

## Slack 안내 메세지 예시 이미지

Slack 연동 시, 아래와 같은 구성의 메세지들을 안내받을 수 있습니다.

![A/B 테스트 변경사항 자동 알림](https://2738466581-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLHRZjjknm5KdNgPtDsbl%2Fuploads%2Fgit-blob-1ccce3b2c5dfb9a57237e25c551580c2b92f6034%2F80eaa01-image_02eb4be35c9d0384.png?alt=media)

## 안내 메세지 종류 <a href="#notification-message-types" id="notification-message-types"></a>

핵클의 A/B 테스트, 기능 플래그, 원격 구성에서 아래의 상황 발생 시, 직접 대시보드에 들어오지 않아도 slack 메세지로 진행 상황을 안내 받을 수 있습니다.

| 기능 | A/B 테스트                                            | 기능 플래그                                    | 원격구성        |
| -- | -------------------------------------------------- | ----------------------------------------- | ----------- |
| 상황 | 시작 일시정지 다시 시작 종료 타겟팅 변경 그룹 제외 트래픽 할당 변경 파라미터 설정 변경 | 시작 일시정지 켜짐 꺼짐 트래픽 할당 변경 타겟팅 변경 파라미터 설정 변경 | 생성 설정 변경 보관 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hackle.io/external-link/slack-integration/slack_noti_message.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
